Bug 125296 - openssh has missing dependencies
openssh has missing dependencies
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-04 11:34 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-01 17:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Replacement patch against openssh-3.8.1p1-4 (1.20 KB, patch)
2004-08-01 13:53 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-06-04 11:34:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)

Description of problem:
openssh spec file has several problems. Please apply this patch:

--- working/openssh/openssh.spec        2004-06-01 17:07:48.000000000
+++ /opt/specs/openssh.spec     2004-06-03 17:30:10.000000000 -0400
@@ -120,13 +120,16 @@
 %if %{gtk2}
 BuildPreReq: gtk2-devel
-BuildPreReq: openssl-devel, perl, sharutils, tcp_wrappers, zlib-devel
-BuildPreReq: /bin/login
+%if %{scard}
+BuildPreReq: sharutils
+BuildPreReq: openssl-devel, perl, tcp_wrappers, zlib-devel
+BuildPreReq: util-linux, groff, man
 %if %{build6x}
 BuildPreReq: glibc-devel, pam
-BuildPreReq: /usr/include/security/pam_appl.h
+BuildPreReq: pam-devel
 %if ! %{no_x11_askpass}
@@ -141,6 +144,11 @@
 BuildPreReq: krb5-devel
+Requires: libselinux
+BuildRequires: libselinux-devel
 %package clients
 Summary: OpenSSH clients.
 Requires: openssh = %{version}-%{release}
@@ -365,6 +373,10 @@
 install -m 755 contrib/redhat/gnome-ssh-askpass.csh
 install -m 755 contrib/redhat/gnome-ssh-askpass.sh
+%if %{no_gnome_askpass}
+rm -f $RPM_BUILD_ROOT/etc/profile.d/gnome-ssh-askpass.*
 perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT%{_mandir}/man*/*

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. This is tricky to reproduce...but if you remove all the packages
that I added in the above patch, you won't be able to compile
openssh...especially the man package.
2. rpmbuild -bb /usr/src/redhat/SPECS/openssh.spec


Additional info:
Comment 1 Steve Grubb 2004-08-01 13:53:56 EDT
Created attachment 102341 [details]
Replacement patch against openssh-3.8.1p1-4

I'm refreshing the patch incase there's been bit rot since I originally
submitted it.
Comment 2 Alan Cox 2004-08-01 17:17:39 EDT
Applied, building

Note You need to log in before you can comment on or make changes to this bug.